{"bugs":{"url":"https://github.com/SorinGFS/idn-hostname/issues"},"dist":{"shasum":"02398a7330fa0eccba8c2474da5010833f5d9840","tarball":"https://registry.npmjs.org/idn-hostname/-/idn-hostname-15.1.0.tgz","fileCount":93,"integrity":"sha512-hMN6Zg7Zrd1E7oemoeoHcVGYZlar/gZFKS1luvPHYYLzJN+s6M83ZAsTYkXxs058TtSXi/2lMxvf1TqUIn2F1g==","signatures":[{"sig":"MEYCIQDuSt+2NI+Telq2gDTtbX2ZGSVYdB8pVKhSq2MwlzENAAIhAKYK+PBw5ivqqZFFc9ysLUJcLzqZsBPOMBTKhfmi6wi9","keyid":"SHA256:DhQ8wR5APBvFHLF/+Tc+AYvPOdTpcIDqOhxsBHRwC7U"}],"unpackedSize":212855},"main":"index.js","name":"idn-hostname","type":"commonjs","author":{"name":"SorinGFS"},"gitHead":"29c5a83b013886d80d9fc1301dc6b63b7f1ffd30","license":"MIT","scripts":{"test":"echo \"Error: no test specified\" && exit 1"},"_npmUser":{"name":"soringfs","email":"sorin.gfs@protonmail.com"},"homepage":"https://github.com/SorinGFS/idn-hostname#readme","keywords":["idn-hostname","idna","validation","unicode","mapping"],"repository":{"url":"git+https://github.com/SorinGFS/idn-hostname.git","type":"git"},"_npmVersion":"11.6.2","description":"An internationalized hostname validator as defined by RFC5890, RFC5891, RFC5892, RFC5893, RFC3492 and UTS#46","directories":{},"maintainers":[{"name":"soringfs","email":"sorin.gfs@protonmail.com"}],"_nodeVersion":"24.0.2","dependencies":{"punycode":"^2.3.1"},"_hasShrinkwrap":false,"_npmOperationalInternal":{"tmp":"tmp/idn-hostname_15.1.0_1760453437386_0.3548311736177596","host":"s3://npm-registry-packages-npm-production"},"_id":"idn-hostname@15.1.0","version":"15.1.0"}